/*
 * ServerOptions.hpp
 *
 *  Created on: 01.06.2012
 *      Author: heber
 */

#ifndef SERVEROPTIONS_HPP_
#define SERVEROPTIONS_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <boost/program_options.hpp>

#include "DefaultOptions.hpp"
#include "SignalOptions.hpp"

struct ServerOptions : public DefaultOptions, public SignalOptions
{
  int parseWorkerPort(boost::program_options::variables_map &vm);
  int parseControllerPort(boost::program_options::variables_map &vm);

  unsigned short workerport;
  unsigned short controllerport;
};


#endif /* SERVEROPTIONS_HPP_ */
